Bug 1016509 - No way to use an internal perl mirror with perl-5.1 cartridges in OSE
No way to use an internal perl mirror with perl-5.1 cartridges in OSE
Status: CLOSED EOL
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 05:58 EDT by Ma xiaoqiang
Modified: 2017-01-13 17:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 17:36:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2013-10-08 05:58:28 EDT
Description of problem:
There is no way to use an internal perl mirror with perl cartridges in OSE.
When I checked bug 1012721, I found perl cartridge have the similar problem.

Version-Release number of selected component (if applicable):
puddle:[1.2/2013-10-03.1] 
openshift-origin-cartridge-perl-0.4.8.2-1.el6op.noarch


How reproducible:
always

Steps to Reproduce:
1.create a perl app
#rhc app create perlapp perl
2.configure deplist.txt 
#cd perlapp;echo GD >>deplist.txt
3.git push
#git commit -a -m 'test' && git push


Actual results:
Output:
remote: --> Working on GD
remote: Fetching http://search.cpan.org/CPAN/authors/id/L/LD/LDS/GD-2.50.tar.gz ... OK
remote: Configuring GD-2.50 ... OK
remote: Building GD-2.50 ... OK



# vim /usr/libexec/openshift/cartridges/v2/perl/bin/build
lines19-25

 19 MIRROR="--mirror http://search.cpan.org/CPAN"
 20 
 21 if [[ "$LINUX_DISTRO" =~ $RED_HAT_DISTRO_NAME* && $OPENSHIFT_GEAR_DNS =~ .*\.rhcloud\.com$ ]]
 22 then
 23   MIRROR="--mirror http://mirror1.ops.rhcloud.com/mirror/perl/CPAN/ $MIRROR"
 24 fi

The codes above prove that there is no way to use an internal perl mirror.

Expected results:
Should provide a method to use an internal mirror
We need a similar patch for perl cartridge just like python cartridge (BZ#1012721)

Additional info:
Comment 4 Rory Thrasher 2017-01-13 17:36:53 EST
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.